# Version SVN: $Id: defaults.yml 102 2014-01-24 13:01:05Z sven.poeche $
defaults:
  captchagd:
    name:                             'captchaGD'
    description:                      ''
    weight:                           -9197
    params:
      captchagd_font_size:
        type:                         integer
        value:                        16
        name:                         'Font size'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      captchagd_chars:
        type:                         string
        value:                        'ABCDEFGHJKLMNPQRSTWXYZabcdefghjklmnpqrstwxyz123456789'
        name:                         'Possible characters'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      captchagd_repeat_chars:
        type:                         boolean
        value:                        false
        name:                         'Repeating chars'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      captchagd_length:
        type:                         integer
        value:                        6
        name:                         'Security code length'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      captchagd_angle:
        type:                         integer
        value:                        30
        name:                         'Angle +/-'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      captchagd_case_sensitive:
        type:                         boolean
        value:                        true
        name:                         'Case sensitive'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      captchagd_mode:
        type:                         set
        value:                        lines
        set:                          { lines: 'Lines', crossed: 'Crossed' }
        name:                         'Mode'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      captchagd_multiplier:
        type:                         integer
        value:                        30
        name:                         'Lines multiplier'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
